# Interface MsaRowMarkInterface

#### Hierarchy

- MsaRowMarkInterface

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaRowMarkComponent.tsx:12

#####
Index

### Properties

clickCallback?
hoverCallback?
isGlowing
rowRef
stateManager

## Properties

### `Optional` clickCallback

clickCallback?: (() => void)

#### Type declaration

- - (): void

  - #### Returns void

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaRowMarkComponent.tsx:14

### `Optional` hoverCallback

hoverCallback?: (() => void)

#### Type declaration

- - (): void

  - #### Returns void

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaRowMarkComponent.tsx:15

### isGlowing

isGlowing: boolean

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaRowMarkComponent.tsx:13

### rowRef

rowRef: {
entityId: string;
entryId: string;
} | {
entryId: string;
instanceId: string;
}

#### Type declaration

- ##### entityId: string

- ##### entryId: string

#### Type declaration

- ##### entryId: string

- ##### instanceId: string

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaRowMarkComponent.tsx:16

### stateManager

stateManager: RcsbFvStateInterface

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaRowMarkComponent.tsx:17

Generated using TypeDoc